Bug 47296 - [New Port] irc/eggdrop
Summary: [New Port] irc/eggdrop
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-21 14:40 UTC by Ulrich Spoerlein
Modified: 2003-06-11 06:33 UTC (History)
0 users

See Also:


Attachments
eggdrop.port (15.14 KB, text/plain)
2003-01-21 14:40 UTC, Ulrich Spoerlein
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Spoerlein 2003-01-21 14:40:11 UTC
Port of the Eggdrop IRC Bot. This port has tons of features and I had
to use it on one site, so I made a port for convenience.

Note: All the patches are taken from the NetBSD pkgsrc tree. Thanks to
them, eggdrop respects hier(7).

If I made a mistake with respect to placing files in the hierarchy, just
let me know, so I can fix this.
Comment 1 corecode@corecode.ath.cx 2003-01-21 15:12:11 UTC
Lately Ulrich Spoerlein told:

> >Synopsis:       [New Port] irc/eggdrop

cool, i've been waiting for a port for a long time!

> sed 's/^X//' >./Makefile << 'END-of-./Makefile'
[...]
> X.if defined(WITH_TCL)
> XBUILD_DEPENDS+=	${LOCALBASE}/include/tcl8.3/tcl.h:${PORTSDIR}/lang/tcl83
> XCONFIGURE_ARGS+=	--with-tcllib=${LOCALBASE}/lib/libtcl83.so \
> X			--with-tclinc=${LOCALBASE}/include/tcl8.3/tcl.h
> X.endif

shouldn't eggdrop be compiled per default with tcl? eggdrop without tcl
is like server without network (does it even work without?)

cheers
  simon

-- 
/"\   http://corecode.ath.cx/#donate
\ /
 \     ASCII Ribbon Campaign
/ \  Against HTML Mail and News
Comment 2 Ulrich Spoerlein 2003-01-21 16:21:50 UTC
On 2003/01/21-16:12:11 Simon 'corecode' Schubert wrote:

>> X.if defined(WITH_TCL)
>> XBUILD_DEPENDS+=	${LOCALBASE}/include/tcl8.3/tcl.h:${PORTSDIR}/lang/tcl83
>> XCONFIGURE_ARGS+=	--with-tcllib=${LOCALBASE}/lib/libtcl83.so \
>> X			--with-tclinc=${LOCALBASE}/include/tcl8.3/tcl.h
>> X.endif
>
>shouldn't eggdrop be compiled per default with tcl? eggdrop without tcl
>is like server without network (does it even work without?)

I'm not _that_ much into eggdrop, but TCL is only needed for the scripts
AFAIK. The modules will work without TCL. But you are right. The if
defined(WITH_TCL) could be changed to if !defined(WITHOUT_TCL)
Comment 3 Foxfair Hu freebsd_committer 2003-06-11 06:33:26 UTC
State Changed
From-To: open->closed

Committed, thanks!